PowerPoint3ParserInternal::SlideContent Struct Reference documentation

PowerPoint3ParserInternal::SlideContent Struct Reference

Internal: a slide of a PowerPoint3Parser. More...

## Public Member Functions
| SlideContent ()
| constructor
bool | hasText () const
| return true if the zone has text

## Public Attributes
bool | m_useMasterPage
| a flag to know if we need to use the master page
int | m_numMainZones
| the number of title/body zones
int | m_mainZoneIds [2]
| the title/body position
std::vector< TextZone > | m_textZone
| the textzone
std::vector< Frame > | m_frameList
| the list of frames
std::vector< SlideFormat > | m_formatList
| the format list
std::vector< Polygon > | m_polygonList
| the list of polygons
int | m_schemeId
| the scheme id

## Detailed Description

Internal: a slide of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## ◆ SlideContent()

PowerPoint3ParserInternal::SlideContent::SlideContent | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ hasText()

bool PowerPoint3ParserInternal::SlideContent::hasText | ( |  | ) | const
| inline

return true if the zone has text

## Member Data Documentation

## ◆ m_formatList

std::vector<SlideFormat> PowerPoint3ParserInternal::SlideContent::m_formatList

the format list

Referenced by PowerPoint3Parser::readFramesList(), PowerPoint3Parser::readSlideContent(), and SlideContent().

## ◆ m_frameList

std::vector<Frame> PowerPoint3ParserInternal::SlideContent::m_frameList

the list of frames

Referenced by PowerPoint3Parser::readFramesList(), PowerPoint3Parser::sendFrame(), PowerPoint3Parser::sendSlide(), and SlideContent().

## ◆ m_mainZoneIds

int PowerPoint3ParserInternal::SlideContent::m_mainZoneIds[2]

the title/body position

Referenced by PowerPoint3Parser::readFramesList(), PowerPoint3Parser::readSlideContent(), and SlideContent().

## ◆ m_numMainZones

int PowerPoint3ParserInternal::SlideContent::m_numMainZones

the number of title/body zones

Referenced by PowerPoint3Parser::readFramesList(), PowerPoint3Parser::readSlideContent(), PowerPoint3Parser::sendText(), and SlideContent().

## ◆ m_polygonList

std::vector<Polygon> PowerPoint3ParserInternal::SlideContent::m_polygonList

the list of polygons

Referenced by PowerPoint3Parser::readSlideContent(), PowerPoint3Parser::sendFrame(), and SlideContent().

## ◆ m_schemeId

int PowerPoint3ParserInternal::SlideContent::m_schemeId

the scheme id

Referenced by PowerPoint3Parser::readFramesList(), PowerPoint3Parser::readSlideContent(), PowerPoint3Parser::readTextZone(), PowerPoint3Parser::sendText(), and SlideContent().

## ◆ m_textZone

std::vector<TextZone> PowerPoint3ParserInternal::SlideContent::m_textZone

the textzone

Referenced by hasText(), PowerPoint3Parser::readTextZone(), PowerPoint3Parser::sendText(), and SlideContent().

## ◆ m_useMasterPage

bool PowerPoint3ParserInternal::SlideContent::m_useMasterPage

a flag to know if we need to use the master page

Referenced by PowerPoint3Parser::readSlideContent(), and SlideContent().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx